### Method

# ICalGLib Property take_value

since: 1.0

#### Declaration [src]

    void
    i_cal_property_take_value (
      ICalProperty* prop,
      ICalValue* value
    )

#### Description [src]

Sets the `prop` with the `value` and unrefs the `value`.

Available since: 1.0

This method is not directly available to language bindings.

#### Parameters

`value`

  Type: `ICalValue`

  The `ICalValue` will be set as the property of `prop`.

  The instance takes ownership of the data, and is responsible for freeing it.